// Code generated by protoc-gen-micro. DO NOT EDIT.
// source: Prods.proto

package pb

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

import (
	context "context"
	api "github.com/micro/go-micro/v2/api"
	client "github.com/micro/go-micro/v2/client"
	server "github.com/micro/go-micro/v2/server"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Reference imports to suppress errors if they are not otherwise used.
var _ api.Endpoint
var _ context.Context
var _ client.Option
var _ server.Option

// Api Endpoints for ProdsService service

func NewProdsServiceEndpoints() []*api.Endpoint {
	return []*api.Endpoint{}
}

// Client API for ProdsService service

type ProdsService interface {
	GetProdsList(ctx context.Context, in *ProdsRequest, opts ...client.CallOption) (*ProdsResponse, error)
}

type prodsService struct {
	c    client.Client
	name string
}

func NewProdsService(name string, c client.Client) ProdsService {
	return &prodsService{
		c:    c,
		name: name,
	}
}

func (c *prodsService) GetProdsList(ctx context.Context, in *ProdsRequest, opts ...client.CallOption) (*ProdsResponse, error) {
	req := c.c.NewRequest(c.name, "ProdsService.GetProdsList", in)
	out := new(ProdsResponse)
	err := c.c.Call(ctx, req, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for ProdsService service

type ProdsServiceHandler interface {
	GetProdsList(context.Context, *ProdsRequest, *ProdsResponse) error
}

func RegisterProdsServiceHandler(s server.Server, hdlr ProdsServiceHandler, opts ...server.HandlerOption) error {
	type prodsService interface {
		GetProdsList(ctx context.Context, in *ProdsRequest, out *ProdsResponse) error
	}
	type ProdsService struct {
		prodsService
	}
	h := &prodsServiceHandler{hdlr}
	return s.Handle(s.NewHandler(&ProdsService{h}, opts...))
}

type prodsServiceHandler struct {
	ProdsServiceHandler
}

func (h *prodsServiceHandler) GetProdsList(ctx context.Context, in *ProdsRequest, out *ProdsResponse) error {
	return h.ProdsServiceHandler.GetProdsList(ctx, in, out)
}
